Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.logging
Class NonCatalogLogger

    java.lang.Object
      weblogic.logging.NonCatalogLogger

    public final class NonCatalogLogger

extends Object

This class provides application services for logging error messages to the WebLogic Server log. The name, location, and other properties of the log file are determined by the LogMBean for the server

All methods which take a `Throwable` argument, print the stack trace in the error log.

The NonCatalogLogger can be used as a static class variable and used across object instances of that class. NonCatalogLogger methods are thread safe for multiple object instances and for threads calling the log methods concurrently.

Logging from Clients:

This class is also intended for use by client code not running within a WebLogic Server. In that case, each client JVM creates its own log file. The logging properties of clients are configured with Java system properties: weblogic.log.<attributeInLogMBean>=<value>.

For logging internationalized messages, use <catalogName>Logger, generated using i18ngen. See the BEA WebLogic Server Internationalization Guide for instructions.

See Also:
  `LogMBean`, `weblogic.management.logging`, `i18ngen`

Constructor Summary
`NonCatalogLogger(String mySubsystem)`

Method Summary
`void` | `alert(String msg)`
`void` | `alert(String msg, Throwable t)`
`void` | `critical(String msg)`
`void` | `critical(String msg, Throwable t)`
`void` | `debug(String msg)` Log a debug message.
`void` | `debug(String msg, Throwable t)`
`void` | `emergency(String msg)`
`void` | `emergency(String msg, Throwable t)`
`void` | `error(String msg)` Log a message with severity 'Error'
`void` | `error(String msg, Throwable t)`
`void` | `info(String msg)` Log an informational message.
`void` | `info(String msg, Throwable t)`
`void` | `notice(String msg)`
`void` | `notice(String msg, Throwable t)`
`void` | `warning(String msg)` Log a message with severity 'Warning'
`void` | `warning(String msg, Throwable t)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NonCatalogLogger

    public NonCatalogLogger(String mySubsystem)

Parameters:
  `subsystem` - Denotes a functional subsystem which is the source of this message. If none is specified, the value "Unknown" is used. Subsystems created by this constructor are added to the system-wide subsystem list. For example, this list is used in setting log filter properties in the administration console.

Method Detail

### error

    public void error(String msg)

  Log a message with severity 'Error'

### error

    public void error(String msg,
                      Throwable t)

### warning

    public void warning(String msg)

  Log a message with severity 'Warning'

### warning

    public void warning(String msg,
                        Throwable t)

### info

    public void info(String msg)

  Log an informational message.

### info

    public void info(String msg,
                     Throwable t)

### debug

    public void debug(String msg)

  Log a debug message. Debug messages should be logged only on an as-needed basis. Calls to these messages should be enabled or disabled dynamically based on application properties. By default no debug messages should be logged.

### debug

    public void debug(String msg,
                      Throwable t)

### alert

    public void alert(String msg)

### alert

    public void alert(String msg,
                      Throwable t)

### critical

    public void critical(String msg)

### critical

    public void critical(String msg,
                         Throwable t)

### emergency

    public void emergency(String msg)

### emergency

    public void emergency(String msg,
                          Throwable t)

### notice

    public void notice(String msg)

### notice

    public void notice(String msg,
                       Throwable t)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD